org.apache.cassandra.utils

## Class FastByteOperations.PureJavaOperations

- java.lang.Object
- - org.apache.cassandra.utils.FastByteOperations.PureJavaOperations

- All Implemented Interfaces:
    FastByteOperations.ByteOperations
  Enclosing class:
    FastByteOperations

      public static final class FastByteOperations.PureJavaOperations
      extends java.lang.Object
      implements FastByteOperations.ByteOperations

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PureJavaOperations()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(byte[] buffer1, int offset1, int length1, byte[] buffer2, int offset2, int length2)`
    `int` | `compare(java.nio.ByteBuffer buffer1, byte[] buffer2, int offset2, int length2)`
    `int` | `compare(java.nio.ByteBuffer buffer1, java.nio.ByteBuffer buffer2)`
    `void` | `copy(java.nio.ByteBuffer src, int srcPosition, byte[] trg, int trgPosition, int length)`
    `void` | `copy(java.nio.ByteBuffer src, int srcPosition, java.nio.ByteBuffer trg, int trgPosition, int length)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PureJavaOperations

          public PureJavaOperations()

  - ### Method Detail

    - #### compare

          public int compare(byte[] buffer1,
                             int offset1,
                             int length1,
                             byte[] buffer2,
                             int offset2,
                             int length2)

      Specified by:
        `compare` in interface `FastByteOperations.ByteOperations`

    - #### compare

          public int compare(java.nio.ByteBuffer buffer1,
                             byte[] buffer2,
                             int offset2,
                             int length2)

      Specified by:
        `compare` in interface `FastByteOperations.ByteOperations`

    - #### compare

          public int compare(java.nio.ByteBuffer buffer1,
                             java.nio.ByteBuffer buffer2)

      Specified by:
        `compare` in interface `FastByteOperations.ByteOperations`

    - #### copy

          public void copy(java.nio.ByteBuffer src,
                           int srcPosition,
                           byte[] trg,
                           int trgPosition,
                           int length)

      Specified by:
        `copy` in interface `FastByteOperations.ByteOperations`

    - #### copy

          public void copy(java.nio.ByteBuffer src,
                           int srcPosition,
                           java.nio.ByteBuffer trg,
                           int trgPosition,
                           int length)

      Specified by:
        `copy` in interface `FastByteOperations.ByteOperations`

Copyright © 2018 The Apache Software Foundation